package xyz.wbsite.action.api.conf;

import xyz.wbsite.frame.auth.LocalData;
import xyz.wbsite.module.conf.mgr.MappingManager;
import xyz.wbsite.module.conf.req.*;
import xyz.wbsite.module.conf.rsp.*;
import org.springframework.beans.factory.annotation.Autowired;

public class MappingApi{

    @Autowired
    private MappingManager mappingManager;

    public MappingCreateResponse create(MappingCreateRequest request) {
        return mappingManager.create(request, LocalData.getToken());
    }

    public MappingDeleteResponse delete(MappingDeleteRequest request) {
        return mappingManager.delete(request, LocalData.getToken());
    }

    public MappingUpdateResponse update(MappingUpdateRequest request) {
        return mappingManager.update(request, LocalData.getToken());
    }

    public MappingFindResponse find(MappingFindRequest request) {
        return mappingManager.find(request, LocalData.getToken());
    }

    public MappingGetResponse get(MappingGetRequest request) {
        return mappingManager.get(request, LocalData.getToken());
    }
}
